Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Private Member Functions | Private Attributes
ArgusSamples::TaskVideoRecord Class Reference

This task records a video and saves it to a file using gstreamer. More...

`#include <VideoRecord.h>`

Inheritance diagram for ArgusSamples::TaskVideoRecord:

List of all members.

## Public Member Functions
| TaskVideoRecord ()
virtual | ~TaskVideoRecord ()
virtual bool | initialize ()
| Initialize.
virtual bool | shutdown ()
| Shutdown.
virtual bool | start ()
| Start.
virtual bool | stop ()
| Stop.
bool | startRecording ()
| Start recording.
bool | stopRecording ()
| Stop recording.
bool | toggleRecording ()
| Toggle recording.
Public Member Functions inherited from ArgusSamples::ITask
| ITask ()
virtual | ~ITask ()

## Private Member Functions
bool | onDeviceOpenChanged (const Observed &source)
| Callback when the device is opened/closed.
bool | onSensorModeValidChanged (const Observed &source)
| Callback when the sensorModeValid is changed.
bool | restartStreams (const Observed &source)
| Restart when output size changes.

## Private Attributes
bool | m_initialized
| set if initialized
bool | m_running
| set if preview is running
bool | m_wasRunning
| set if was running before the device had been closed
bool | m_prevRunning
| set if was running before the sensorModeValid is set to false
bool | m_recording
| if set recording is active
uint32_t | m_captureIndex
| Incrementing capture index.
VideoPipeline * | m_videoPipeline
| video pipeline
UniquePointer< SessionPerfTracker > | m_perfTracker
TrackedUniqueObj< Argus::Request > | m_request
| Argus request.
Argus::UniqueObj < Argus::OutputStream > | m_videoStream
| Argus video output stream.
Argus::UniqueObj < Argus::OutputStream > | m_previewStream
| Argus preview output stream.

## Detailed Description

This task records a video and saves it to a file using gstreamer.

It also creates a preview stream and display it using the composer.

Definition at line 49 of file VideoRecord.h.

## Constructor & Destructor Documentation

ArgusSamples::TaskVideoRecord::TaskVideoRecord | ( |  | ) |

Definition at line 43 of file VideoRecord.cpp.

ArgusSamples::TaskVideoRecord::~TaskVideoRecord | ( |  | ) |
| virtual

Definition at line 54 of file VideoRecord.cpp.

## Member Function Documentation

bool ArgusSamples::TaskVideoRecord::initialize | ( |  | ) |
| virtual

Initialize.

Implements ArgusSamples::ITask.

Definition at line 59 of file VideoRecord.cpp.

bool ArgusSamples::TaskVideoRecord::onDeviceOpenChanged | ( | const Observed & | source | ) |
| private

Callback when the device is opened/closed.

Definition at line 94 of file VideoRecord.cpp.

bool ArgusSamples::TaskVideoRecord::onSensorModeValidChanged | ( | const Observed & | source | ) |
| private

Callback when the sensorModeValid is changed.

Definition at line 114 of file VideoRecord.cpp.

bool ArgusSamples::TaskVideoRecord::restartStreams | ( | const Observed & | source | ) |
| private

Restart when output size changes.

Definition at line 84 of file VideoRecord.cpp.

bool ArgusSamples::TaskVideoRecord::shutdown | ( |  | ) |
| virtual

Shutdown.

Implements ArgusSamples::ITask.

Definition at line 330 of file VideoRecord.cpp.

bool ArgusSamples::TaskVideoRecord::start | ( |  | ) |
| virtual

Start.

Implements ArgusSamples::ITask.

Definition at line 135 of file VideoRecord.cpp.

bool ArgusSamples::TaskVideoRecord::startRecording | ( |  | ) |

Start recording.

Definition at line 225 of file VideoRecord.cpp.

bool ArgusSamples::TaskVideoRecord::stop | ( |  | ) |
| virtual

Stop.

Implements ArgusSamples::ITask.

Definition at line 178 of file VideoRecord.cpp.

bool ArgusSamples::TaskVideoRecord::stopRecording | ( |  | ) |

Stop recording.

Definition at line 277 of file VideoRecord.cpp.

bool ArgusSamples::TaskVideoRecord::toggleRecording | ( |  | ) |

Toggle recording.

Definition at line 321 of file VideoRecord.cpp.

## Member Data Documentation

uint32_t ArgusSamples::TaskVideoRecord::m_captureIndex
| private

Incrementing capture index.

Definition at line 80 of file VideoRecord.h.

bool ArgusSamples::TaskVideoRecord::m_initialized
| private

set if initialized

Definition at line 75 of file VideoRecord.h.

UniquePointer<SessionPerfTracker> ArgusSamples::TaskVideoRecord::m_perfTracker
| private

Definition at line 84 of file VideoRecord.h.

Argus::UniqueObj<Argus::OutputStream> ArgusSamples::TaskVideoRecord::m_previewStream
| private

Argus preview output stream.

Definition at line 88 of file VideoRecord.h.

bool ArgusSamples::TaskVideoRecord::m_prevRunning
| private

set if was running before the sensorModeValid is set to false

Definition at line 78 of file VideoRecord.h.

bool ArgusSamples::TaskVideoRecord::m_recording
| private

if set recording is active

Definition at line 79 of file VideoRecord.h.

TrackedUniqueObj<Argus::Request> ArgusSamples::TaskVideoRecord::m_request
| private

Argus request.

Definition at line 86 of file VideoRecord.h.

bool ArgusSamples::TaskVideoRecord::m_running
| private

set if preview is running

Definition at line 76 of file VideoRecord.h.

VideoPipeline* ArgusSamples::TaskVideoRecord::m_videoPipeline
| private

video pipeline

Definition at line 82 of file VideoRecord.h.

Argus::UniqueObj<Argus::OutputStream> ArgusSamples::TaskVideoRecord::m_videoStream
| private

Argus video output stream.

Definition at line 87 of file VideoRecord.h.

bool ArgusSamples::TaskVideoRecord::m_wasRunning
| private

set if was running before the device had been closed

Definition at line 77 of file VideoRecord.h.

The documentation for this class was generated from the following files:

- modules/tasks/VideoRecord.h
- modules/tasks/VideoRecord.cpp